import { OnModuleInit } from '@nestjs/common';
import c from 'config';
import { AppConfig } from '../app.config';
export declare class ConfigService implements OnModuleInit {
    private readonly logger;
    constructor();
    onModuleInit(): void;
    validateConfig(cfg: c.IConfig): void;
    get<T extends keyof AppConfig>(setting: T): AppConfig[T];
}
