"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EntitiesConfig = exports.EntityBehavior = exports.DebounceOptions = exports.RollingAverageOptions = void 0;
const jf = __importStar(require("joiful"));
class RollingAverageOptions {
}
__decorate([
    (jf.number().integer().min(1).required()),
    __metadata("design:type", Number)
], RollingAverageOptions.prototype, "window", void 0);
exports.RollingAverageOptions = RollingAverageOptions;
class DebounceOptions {
}
__decorate([
    (jf.number().min(0).optional()),
    __metadata("design:type", Number)
], DebounceOptions.prototype, "wait", void 0);
__decorate([
    (jf.number().min(0).optional()),
    __metadata("design:type", Number)
], DebounceOptions.prototype, "maxWait", void 0);
__decorate([
    (jf.boolean().optional()),
    __metadata("design:type", Boolean)
], DebounceOptions.prototype, "leading", void 0);
__decorate([
    (jf.boolean().optional()),
    __metadata("design:type", Boolean)
], DebounceOptions.prototype, "trailing", void 0);
exports.DebounceOptions = DebounceOptions;
class EntityBehavior {
}
__decorate([
    (jf.object({ objectClass: DebounceOptions }).optional()),
    __metadata("design:type", DebounceOptions)
], EntityBehavior.prototype, "debounce", void 0);
__decorate([
    (jf.object({ objectClass: RollingAverageOptions }).optional()),
    __metadata("design:type", RollingAverageOptions)
], EntityBehavior.prototype, "rollingAverage", void 0);
exports.EntityBehavior = EntityBehavior;
class EntitiesConfig {
    constructor() {
        this.behaviors = {};
    }
}
__decorate([
    (jf.object().custom(validateBehaviours).required()),
    __metadata("design:type", Object)
], EntitiesConfig.prototype, "behaviors", void 0);
exports.EntitiesConfig = EntitiesConfig;
function validateBehaviours(options) {
    return options.joi
        .object()
        .pattern(options.joi.string(), jf.getSchema(EntityBehavior));
}
//# sourceMappingURL=entities.config.js.map