"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Entity = void 0;
const openapi = require("@nestjs/swagger");
const swagger_1 = require("@nestjs/swagger");
class Entity {
    constructor(id, name, distributed = false, stateLocked = true) {
        this.attributes = {};
        this.id = id;
        this.name = name;
        this.distributed = distributed;
        this.stateLocked = stateLocked;
    }
    static _OPENAPI_METADATA_FACTORY() {
        return { id: { required: true, type: () => String }, name: { required: true, type: () => String }, state: { required: true, type: () => Object }, distributed: { required: true, type: () => Boolean }, stateLocked: { required: true, type: () => Boolean } };
    }
}
__decorate([
    (0, swagger_1.ApiProperty)({
        oneOf: [{ type: 'string' }, { type: 'number' }, { type: 'boolean' }],
    }),
    __metadata("design:type", Object)
], Entity.prototype, "state", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'object' }),
    __metadata("design:type", Object)
], Entity.prototype, "attributes", void 0);
exports.Entity = Entity;
//# sourceMappingURL=entity.dto.js.map