import { HealthIndicator, HealthIndicatorResult } from '@nestjs/terminus';
import { HealthIndicatorService } from '../../status/health-indicator.service';
import { BluetoothService } from './bluetooth.service';
export declare class BluetoothHealthIndicator extends HealthIndicator {
    private bluetoothService;
    constructor(bluetoothService: BluetoothService, healthIndicatorService?: HealthIndicatorService);
    lowEnergyAdvertisementTimeoutCheck(threshold: number): HealthIndicatorResult;
    successiveErrorCheck(threshold: number): HealthIndicatorResult;
}
