"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BinarySensorDeviceClass = exports.BinarySensorConfig = void 0;
const entity_config_1 = require("./entity-config");
class BinarySensorConfig extends entity_config_1.EntityConfig {
    constructor(id, name) {
        super('binary_sensor', id, name);
        this.payloadOn = 'true';
        this.payloadOff = 'false';
    }
}
exports.BinarySensorConfig = BinarySensorConfig;
var BinarySensorDeviceClass;
(function (BinarySensorDeviceClass) {
    BinarySensorDeviceClass["BATTERY"] = "battery";
    BinarySensorDeviceClass["COLD"] = "cold";
    BinarySensorDeviceClass["CONNECTIVITY"] = "connectivity";
    BinarySensorDeviceClass["DOOR"] = "door";
    BinarySensorDeviceClass["GARAGE_DOOR"] = "garage_door";
    BinarySensorDeviceClass["GAS"] = "gas";
    BinarySensorDeviceClass["HEAT"] = "heat";
    BinarySensorDeviceClass["LIGHT"] = "light";
    BinarySensorDeviceClass["LOCK"] = "lock";
    BinarySensorDeviceClass["MOISTURE"] = "moisture";
    BinarySensorDeviceClass["MOTION"] = "motion";
    BinarySensorDeviceClass["MOVING"] = "moving";
    BinarySensorDeviceClass["OCCUPANCY"] = "occupancy";
    BinarySensorDeviceClass["OPENING"] = "opening";
    BinarySensorDeviceClass["PLUG"] = "plug";
    BinarySensorDeviceClass["POWER"] = "power";
    BinarySensorDeviceClass["PRESENCE"] = "presence";
    BinarySensorDeviceClass["PROBLEM"] = "problem";
    BinarySensorDeviceClass["SAFETY"] = "safety";
    BinarySensorDeviceClass["SMOKE"] = "smoke";
    BinarySensorDeviceClass["SOUND"] = "sound";
    BinarySensorDeviceClass["VIBRATION"] = "vibration";
    BinarySensorDeviceClass["WINDOW"] = "window";
})(BinarySensorDeviceClass = exports.BinarySensorDeviceClass || (exports.BinarySensorDeviceClass = {}));
//# sourceMappingURL=binary-sensor-config.js.map