import { IClientOptions } from 'async-mqtt';
export declare const mqttScheme: {
    scheme: string[];
};
export declare class MQTTOptionConfig implements IClientOptions {
    username?: string;
    password?: string;
    rejectUnauthorized?: boolean;
}
export declare class MqttConfig {
    mqttUrl: string;
    mqttOptions: MQTTOptionConfig;
    baseTopic: string;
    qos: 0 | 1 | 2;
    retain: boolean;
}
