"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var XiaomiMiModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
require("./env");
const common_1 = require("@nestjs/common");
const xiaomi_mi_service_1 = require("./xiaomi-mi.service");
const entities_module_1 = require("../../entities/entities.module");
const config_module_1 = require("../../config/config.module");
const bluetooth_module_1 = require("../../integration-support/bluetooth/bluetooth.module");
let XiaomiMiModule = XiaomiMiModule_1 = class XiaomiMiModule {
    static forRoot() {
        return {
            module: XiaomiMiModule_1,
            imports: [bluetooth_module_1.BluetoothModule, entities_module_1.EntitiesModule, config_module_1.ConfigModule],
            providers: [xiaomi_mi_service_1.XiaomiMiService],
        };
    }
};
XiaomiMiModule = XiaomiMiModule_1 = __decorate([
    (0, common_1.Module)({})
], XiaomiMiModule);
exports.default = XiaomiMiModule;
//# sourceMappingURL=xiaomi-mi.module.js.map