import { OnApplicationBootstrap } from '@nestjs/common';
import { EntitiesService } from '../entities/entities.service';
import { ClusterService } from '../cluster/cluster.service';
import { ConfigService } from '../config/config.service';
import { Sensor } from '../entities/sensor';
export declare class StatusService implements OnApplicationBootstrap {
    private readonly entitiesService;
    private readonly clusterService;
    private readonly configService;
    private clusterSizeSensor;
    private clusterLeaderSensor;
    constructor(entitiesService: EntitiesService, clusterService: ClusterService, configService: ConfigService);
    onApplicationBootstrap(): void;
    updateClusterSizeSensor(): void;
    updateClusterLeaderSensor(): void;
    protected createClusterSizeSensor(): Sensor;
    protected createClusterLeaderSensor(): Sensor;
}
