declare class IdKeyPair {
    id: string;
    api_key: string;
}
declare class ApiKeyAuthConfig {
    apiKey: string | IdKeyPair;
}
declare class BasicAuthConfig {
    username: string;
    password: string;
}
declare class ElasticsearchConfig {
    enabled: boolean;
    node: string;
    auth?: BasicAuthConfig | ApiKeyAuthConfig;
    indexPrefix: string;
}
declare class LokiConfig {
    enabled: boolean;
    host: string;
}
export declare class LoggerConfig {
    elasticsearch: ElasticsearchConfig;
    loki: LokiConfig;
}
export {};
