export declare class RollingAverageOptions {
    window: number;
}
export declare class DebounceOptions {
    wait?: number;
    maxWait?: number;
    leading?: boolean;
    trailing?: boolean;
}
export declare class EntityBehavior {
    debounce?: DebounceOptions;
    rollingAverage?: RollingAverageOptions;
}
export declare class EntitiesConfig {
    behaviors: {
        [entityId: string]: EntityBehavior;
    };
}
