import { RoomPresenceDistanceSensor } from '../../integration-support/room-presence/room-presence-distance.sensor';
declare class BluetoothLowEnergyMeasurement {
    rssi: number;
    measuredPower: number;
    constructor(rssi: number, measuredPower: number);
}
export declare class BluetoothLowEnergyPresenceSensor extends RoomPresenceDistanceSensor {
    measuredValues: {
        [instance: string]: BluetoothLowEnergyMeasurement;
    };
    batteryLevel?: number;
    handleNewMeasurement(instanceName: string, rssi: number, measuredPower: number, distance: number, outOfRange: boolean, batteryLevel?: number): void;
}
export {};
