"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceTrackerConfig = void 0;
const entity_config_1 = require("./entity-config");
const room_presence_distance_sensor_1 = require("../../integration-support/room-presence/room-presence-distance.sensor");
class DeviceTrackerConfig extends entity_config_1.EntityConfig {
    constructor(id, name) {
        super('device_tracker', id, name);
        this.payloadHome = room_presence_distance_sensor_1.STATE_HOME;
        this.payloadNotHome = room_presence_distance_sensor_1.STATE_NOT_HOME;
        this.sourceType = 'bluetooth_le';
    }
}
exports.DeviceTrackerConfig = DeviceTrackerConfig;
//# sourceMappingURL=device-tracker-config.js.map