"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HomeAssistantConfig = void 0;
const mqtt_config_1 = require("../mqtt/mqtt.config");
const jf = __importStar(require("joiful"));
class HomeAssistantConfig {
    constructor() {
        this.mqttUrl = 'mqtt://localhost:1883';
        this.mqttOptions = new mqtt_config_1.MQTTOptionConfig();
        this.sendAttributes = true;
        this.sendMqttRoom = false;
        this.discoveryPrefix = 'homeassistant';
        this.mqttRoomPrefix = 'room-assistant/mqtt-room';
    }
}
__decorate([
    (jf.string().uri(mqtt_config_1.mqttScheme).required()),
    __metadata("design:type", Object)
], HomeAssistantConfig.prototype, "mqttUrl", void 0);
__decorate([
    (jf.object().required()),
    __metadata("design:type", mqtt_config_1.MQTTOptionConfig)
], HomeAssistantConfig.prototype, "mqttOptions", void 0);
__decorate([
    (jf.boolean().required()),
    __metadata("design:type", Object)
], HomeAssistantConfig.prototype, "sendAttributes", void 0);
__decorate([
    (jf.boolean().required()),
    __metadata("design:type", Object)
], HomeAssistantConfig.prototype, "sendMqttRoom", void 0);
__decorate([
    (jf.string().required()),
    __metadata("design:type", Object)
], HomeAssistantConfig.prototype, "discoveryPrefix", void 0);
__decorate([
    (jf.string().required()),
    __metadata("design:type", Object)
], HomeAssistantConfig.prototype, "mqttRoomPrefix", void 0);
exports.HomeAssistantConfig = HomeAssistantConfig;
//# sourceMappingURL=home-assistant.config.js.map