"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var IntegrationsModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.IntegrationsModule = void 0;
const common_1 = require("@nestjs/common");
let IntegrationsModule = IntegrationsModule_1 = class IntegrationsModule {
    static async register(ids, logger) {
        const modules = await IntegrationsModule_1.resolveModules(ids, logger);
        return {
            module: IntegrationsModule_1,
            imports: modules,
        };
    }
    static resolveModules(ids, logger) {
        const loadedModules = [];
        logger === null || logger === void 0 ? void 0 : logger.log(`Loading integrations: ${(ids === null || ids === void 0 ? void 0 : ids.length) > 0 ? ids.join(', ') : 'none'}`, IntegrationsModule_1.name);
        ids.forEach((id) => {
            const loadPromise = IntegrationsModule_1.loadModule(`./${id}/${id}.module`).then((module) => module.default.forRoot());
            loadedModules.push(loadPromise);
        });
        return Promise.all(loadedModules);
    }
    static loadModule(path) {
        return Promise.resolve().then(() => __importStar(require(path)));
    }
};
IntegrationsModule = IntegrationsModule_1 = __decorate([
    (0, common_1.Module)({})
], IntegrationsModule);
exports.IntegrationsModule = IntegrationsModule;
//# sourceMappingURL=integrations.module.js.map