import { OnModuleInit } from '@nestjs/common';
import { ConfigService } from '../../config/config.service';
import { EntitiesService } from '../../entities/entities.service';
import { EntitiesEventEmitter } from '../../entities/entities.events';
import { ClusterService } from '../../cluster/cluster.service';
export declare class MqttService implements OnModuleInit {
    private readonly configService;
    private readonly entitiesService;
    private readonly clusterService;
    private readonly emitter;
    private config;
    private mqttClient;
    private readonly logger;
    constructor(configService: ConfigService, entitiesService: EntitiesService, clusterService: ClusterService, emitter: EntitiesEventEmitter);
    onModuleInit(): Promise<void>;
    isConnected(): boolean;
    refreshEntities(): void;
    private handleEntityUpdate;
    private handleReconnect;
    private getTopicName;
}
