import { OnApplicationBootstrap } from '@nestjs/common';
import { ConfigService } from '../../config/config.service';
import { EntitiesService } from '../../entities/entities.service';
import { SchedulerRegistry } from '@nestjs/schedule';
import { Sensor } from '../../entities/sensor';
import { Switch } from '../../entities/switch';
export declare class ShellService implements OnApplicationBootstrap {
    private readonly configService;
    private readonly entitiesService;
    private readonly schedulerRegistry;
    private readonly config;
    private readonly logger;
    constructor(configService: ConfigService, entitiesService: EntitiesService, schedulerRegistry: SchedulerRegistry);
    onApplicationBootstrap(): void;
    executeCommand(command: string, regex?: RegExp): Promise<string>;
    protected createSensor(name: string, deviceClass?: string, unitOfMeasurement?: string, icon?: string): Sensor;
    protected createSwitch(name: string, onCommand: string, offCommand: string, icon?: string): Switch;
}
