"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatusModule = void 0;
const common_1 = require("@nestjs/common");
const status_service_1 = require("./status.service");
const cluster_module_1 = require("../cluster/cluster.module");
const entities_module_1 = require("../entities/entities.module");
const config_module_1 = require("../config/config.module");
const status_controller_1 = require("./status.controller");
const terminus_1 = require("@nestjs/terminus");
const health_indicator_service_1 = require("./health-indicator.service");
const schedule_1 = require("@nestjs/schedule");
let StatusModule = class StatusModule {
};
StatusModule = __decorate([
    (0, common_1.Module)({
        imports: [
            cluster_module_1.ClusterModule,
            entities_module_1.EntitiesModule,
            config_module_1.ConfigModule,
            schedule_1.ScheduleModule.forRoot(),
            terminus_1.TerminusModule,
        ],
        providers: [status_service_1.StatusService, health_indicator_service_1.HealthIndicatorService],
        controllers: [status_controller_1.StatusController],
        exports: [health_indicator_service_1.HealthIndicatorService],
    })
], StatusModule);
exports.StatusModule = StatusModule;
//# sourceMappingURL=status.module.js.map