import KalmanFilter from 'kalmanjs';
declare type Constructable = new (...args: any[]) => object;
export declare function KalmanFilterable<BC extends Constructable>(Base: BC, R?: number, Q?: number): {
    new (...args: any[]): {
        kalmanFilterMap: Map<string, KalmanFilter>;
        kalmanFilter(value: number, id?: string): number;
    };
} & BC;
export {};
